public typealias MoveCallback = ([Move.Action], Board) -> Move.Action

public class HumanPlayer : Player {
    private let callback: MoveCallback

    public init(name: String, callback: @escaping MoveCallback) {
        self.callback = callback

        super.init(name: name)
    }

    public override func chooseMove(allowed_moves moves: [Move.Action], board: Board) -> Move.Action {
        callback(moves, board)
    }
}
