public struct Move: Equatable {
    public let player: PieceType
    public let action: Action
    
    public init(player: PieceType, action: Action) {
        self.player = player
        self.action = action
    }
    
    public enum Action: Equatable {
        case InsertOnSide(side: Direction, offset: Int)
        case InsertAt(where: Coords)
    }
}
